Printago API
GET /v1/sku-variants/bindings/{id}/properties

Get SKU-specific properties

Requires: sku.view

Path Parameters

id required
string
- Binding identifier

Response Schema

SkuOptionProperty[]
Array of SkuOptionProperty, each with:
bindingIdoptionalnullable
string
pattern: ^[a-z0-9]{24}$
bindingId2optionalnullable
string
pattern: ^[a-z0-9]{24}$
bindingId3optionalnullable
string
pattern: ^[a-z0-9]{24}$
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
optionIdrequired
string
pattern: ^[a-z0-9]{24}$
orderrequired
number
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
"text" | "material" | "plate_quantities"
textmaterialplate_quantities
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
[
  {
    "optionId": "string",
    "bindingId": "string",
    "bindingId2": "string",
    "bindingId3": "string",
    "name": "string",
    "type": "text",
    "order": 1,
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]